> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bondio.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Send sms



## OpenAPI

````yaml /openapi.yaml post /v2/subscriptions/{xid}/send-sms
openapi: 3.1.0
info:
  title: Bondio API
  version: '1.0'
  description: Bondio's REST API for eSIM provisioning, plans, subscriptions, and billing.
servers:
  - url: https://api.bondio.co
    description: prod
security:
  - BearerAuth: []
tags:
  - name: Plan
  - name: Esim
  - name: Subscription
  - name: Addon Attachment
paths:
  /v2/subscriptions/{xid}/send-sms:
    parameters:
      - schema:
          type: string
        name: xid
        in: path
        required: true
      - schema:
          type: string
        name: xid
        in: path
        required: true
    post:
      tags:
        - SubscriptionV2
      summary: Send sms
      operationId: post-v2-subscriptions-xid-send-sms
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - senderText
                - messageText
              properties:
                senderText:
                  type: string
                  x-stoplight:
                    id: 7u828tiogc079
                messageText:
                  type: string
                  x-stoplight:
                    id: b5cvo29qc8u9j
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````